# serial: serial::Serial::ScopedReadLock Class Reference

serial 1.0 Cross-platform serial port library written in C++

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Defines
Public Member Functions
serial::Serial::ScopedReadLock Class Reference

## Public Member Functions

| ScopedReadLock (SerialImpl *pimpl)
| ~ScopedReadLock ()

## Constructor & Destructor Documentation

serial::Serial::ScopedReadLock::ScopedReadLock | ( | SerialImpl * | pimpl | ) | `[inline]`

                                        : pimpl_(pimpl) {
        this->pimpl_->readLock();
      }

serial::Serial::ScopedReadLock::~ScopedReadLock | ( |  | ) | `[inline]`

                        {
        this->pimpl_->readUnlock();
      }

The documentation for this class was generated from the following file:

- src/serial.cc